Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.deployment
Class ComponentDeploymentHandler

    java.lang.Object
      org.jboss.seam.deployment.AbstractDeploymentHandler
          org.jboss.seam.deployment.AbstractClassDeploymentHandler
              org.jboss.seam.deployment.ComponentDeploymentHandler

All Implemented Interfaces:
  ClassDeploymentHandler, DeploymentHandler

    public class ComponentDeploymentHandler

extends AbstractClassDeploymentHandler

The `ComponentDeploymentHandler` process Seam's component annotated with `Name`

Author:
  Pete Muir

Field Summary
`static String` | `NAME` Name under which this `DeploymentHandler` is registered
`static ClassDeploymentMetadata` | `NAME_ANNOTATED_CLASS_METADATA`

Constructor Summary
`ComponentDeploymentHandler()`

Method Summary
`ClassDeploymentMetadata` | `getMetadata()` Get DeploymentHandlerMetadata for resources this deployment handler is interested in processing.
`String` | `getName()` A key used to identify the deployment handler
`void` | `postProcess(ClassLoader classLoader)`

Methods inherited from class org.jboss.seam.deployment.AbstractClassDeploymentHandler
`getClasses, setClasses`

Methods inherited from class org.jboss.seam.deployment.AbstractDeploymentHandler
`getResources, setResources, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.seam.deployment.DeploymentHandler
`getResources, setResources`

Field Detail

### NAME_ANNOTATED_CLASS_METADATA

    public static ClassDeploymentMetadata NAME_ANNOTATED_CLASS_METADATA

### NAME

    public static final String NAME

  Name under which this `DeploymentHandler` is registered

  See Also:
    Constant Field Values

Constructor Detail

### ComponentDeploymentHandler

    public ComponentDeploymentHandler()

Method Detail

### getName

    public String getName()

  Description copied from interface: `DeploymentHandler`
  A key used to identify the deployment handler

### getMetadata

    public ClassDeploymentMetadata getMetadata()

  Description copied from interface: `DeploymentHandler`
  Get DeploymentHandlerMetadata for resources this deployment handler is interested in processing. If a deployment handler is interested in a number of files it should define multiple pieces of metadata

### postProcess

    public void postProcess(ClassLoader classLoader)

  Specified by:
    `postProcess` in interface `DeploymentHandler`
  Overrides:
    `postProcess` in class `AbstractDeploymentHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.